"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPackage = void 0;
const tslib_1 = require("tslib");
const fs_1 = require("fs");
const archiver = require("archiver");
function createPackage(options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const zipFileStream = (0, fs_1.createWriteStream)(options.packageFilePath);
        const archive = archiver('zip', {
            zlib: { level: options.compressionLevel },
        });
        archive.pipe(zipFileStream);
        archive.directory(options.buildDirectoryPath, 'src');
        archive.finalize();
        return new Promise((resolve, reject) => {
            zipFileStream.on('close', () => {
                resolve();
            });
            archive.on('error', (err) => {
                reject(`Failed to create the package: ${err}`);
            });
        });
    });
}
exports.createPackage = createPackage;
//# sourceMappingURL=create-package.js.map